package com.ruoyi.ibs.task.mapper;

import com.ruoyi.ibs.task.domain.entity.AppointmentInfo;
import com.ruoyi.ibs.task.domain.vo.ProductInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface AppointmentMapper {

    int insertAppointment(AppointmentInfo appointmentInfo);

    AppointmentInfo selectAppointmentByCustIdc(@Param("custIdc") String custIdc);

    int updateAppointment(AppointmentInfo appointmentInfo);

    List<AppointmentInfo> selectUnClaimListByCustIdc(@Param("custIdc")String custIdc);

    String selectDictValueByDictLabel(@Param("dictLabel") String dictLabel);

    List<AppointmentInfo> selectAppointmentListByUserName(HashMap<String,Object> param);

    List<AppointmentInfo> selectClaimListByUserName(HashMap<String,Object> param);

    List<AppointmentInfo> appointmentCustListByUserNameFinish(HashMap<String, Object> param);

    List<AppointmentInfo> appointmentCustListByUnCompleted(@Param("userName") String userName);

    List<ProductInfoVO> selectClaimCustDetail(@Param("userName")String userName, @Param("custIdc")String custIdc);

    List<ProductInfoVO> selectCustProdDetail(@Param("custIdc")String custIdc);

    List<ProductInfoVO> selectAllProds();

}
